import { Definition } from './Definition';
export declare type DefinitionPredicate = (service: Definition) => boolean;
export declare type ServiceFactory = (...args: any[]) => any;
export declare type AnnotationPredicate = (annotation: any) => boolean;
export declare type ServiceName = string | symbol;
export declare namespace ServiceName {
    function is(value: any): value is ServiceName;
}
export declare type Middleware = (definition: Definition, next: (service: any) => any | Promise<any>) => any | Promise<any>;
